Apache Tomcat 7.0.42

## org.apache.coyote.http11.upgrade
Class UpgradeOutbound

    java.lang.Object
      java.io.OutputStream
          org.apache.coyote.http11.upgrade.UpgradeOutbound

All Implemented Interfaces:
  Closeable, Flushable

    public class UpgradeOutbound

extends OutputStream

Allows data to be written to the upgraded connection.

Constructor Summary
`UpgradeOutbound(UpgradeProcessor<?> processor)`

Method Summary
`void` `flush()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.OutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpgradeOutbound

    public UpgradeOutbound(UpgradeProcessor<?> processor)

Method Detail

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.